NetworkConnector (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.transport.NetworkConnector class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.transport
Class NetworkConnector

    java.lang.Object
      org.codehaus.activemq.transport.NetworkConnector

All Implemented Interfaces:
  Service

Direct Known Subclasses:
  DiscoveryNetworkConnector

public class NetworkConnector
extends Object
implements Service

Represents a connector to one or more remote brokers. This class manages a number of `NetworkChannel` instances which may or may not be connected to a remote broker at any point in time.

The implementation of this class could use a fixed number of configured `NetworkChannel` instances or could use discovery to find them.

Version:
  $Revision: 1.4 $

Constructor Summary
`NetworkConnector(BrokerContainer brokerContainer)`

Method Summary
`void` | `addNetworkChannel(NetworkChannel networkChannel)` Adds a new network channel
`NetworkChannel` | `addNetworkChannel(String uri)` Adds a new network channel for the given URI
`BrokerContainer` | `getBrokerContainer()`
`List` | `getNetworkChannels()`
`void` | `removeNetworkChannel(NetworkChannel networkChannel)` Removes a network channel
`void` | `setNetworkChannels(List networkChannels)` Sets a list of `NetworkChannel` instances
`void` | `setTransportChannelListener(TransportChannelListener listener)`
`void` | `start()` Called to start the service
`void` | `stop()` Called to shutdown the service

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NetworkConnector

    public NetworkConnector(BrokerContainer brokerContainer)

Method Detail

### start

    public void start()
               throws JMSException

  Description copied from interface: `Service`
  Called to start the service

  Specified by:
    `start` in interface `Service`
  Throws:
    `JMSException`

### stop

    public void stop()
              throws JMSException

  Description copied from interface: `Service`
  Called to shutdown the service

  Specified by:
    `stop` in interface `Service`
  Throws:
    `JMSException`

### setTransportChannelListener

    public void setTransportChannelListener(TransportChannelListener listener)

### getBrokerContainer

    public BrokerContainer getBrokerContainer()

### getNetworkChannels

    public List getNetworkChannels()

### setNetworkChannels

    public void setNetworkChannels(List networkChannels)

  Sets a list of `NetworkChannel` instances

  Parameters:
    `networkChannels` -

### addNetworkChannel

    public NetworkChannel addNetworkChannel(String uri)

  Adds a new network channel for the given URI

  Parameters:
    `uri` -
  Returns:

### addNetworkChannel

    public void addNetworkChannel(NetworkChannel networkChannel)

  Adds a new network channel

### removeNetworkChannel

    public void removeNetworkChannel(NetworkChannel networkChannel)

  Removes a network channel

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.